Metafunction
Find
A metafunction to retrieve the index of a tag in the TagList.
Find<TTagList, TSearchTag>
Include Headers
seqan/basic.h
Parameters

TTagList | A tag list. Types: TagList, TagSelector Remarks: For a TagSelector the underlying TagList is used.
TSearchTag | A tag to retrieve the index of. Types: Tag

Examples
AutoSeqStreamFormat format;
if (format.tagId == TagListGetIndex<AutoSeqStreamFormat, Fasta>::VALUE)
{
// do something specific to Fasta format
}
// or even shorter:
if (isEqual(format.tagId, Fasta()))
{
// do something specific to Fasta format
}
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59